# Exiv2::PanasonicMnHeader Class Reference

Header of a Panasonic Makernote. More...

`#include <makernote2.hpp>`

Inheritance diagram for Exiv2::PanasonicMnHeader:

[legend]
Collaboration diagram for Exiv2::PanasonicMnHeader:

[legend]
List of all members.

## Public Member Functions

Creators
| PanasonicMnHeader ()
| Default constructor.
virtual | ~PanasonicMnHeader ()
| Virtual destructor.
Manipulators
virtual bool | read (const byte *pData, uint32_t size, ByteOrder byteOrder)
| Read the header from a data buffer, return true if ok.
Accessors
virtual uint32_t | size () const
| Return the size of the header (in bytes).
virtual uint32_t | ifdOffset () const
| Return the offset to the start of the Makernote IFD from the start of the Makernote (= the start of the header).

## Detailed Description

Header of a Panasonic Makernote.

The documentation for this class was generated from the following files:

- makernote2.hpp
- makernote2.cpp